using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace de.WWWings.Workflow
{
 public partial class Workflow1 : SequentialWorkflowActivity
 {
  private void Startmeldung(object sender, EventArgs e)
  {
   Console.WriteLine("Start des Workflows...");
  }

  private void Bedingung(object sender, ConditionalEventArgs e)
  {
   e.Result = (DateTime.Now.Second % 2 == 0);
  }

  private void codeActivity2_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Sekunde war gerade!");
  }

  private void codeActivity3_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Sekunde war ungerade!");
  }

  private void codeActivity4_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Workflow wird beendet!");
  }
 }
}
